from flask import current_app

class VersionServices:
    @staticmethod
    def split_version(full_version: str) -> tuple[str, str]:
        parts = full_version.split(".")
        if len(parts) < 3:
            major_minor = '.'.join(parts[:2]) if len(parts) >= 2 else full_version
            patch = ''
        else:
            major_minor = '.'.join(parts[:2])
            patch = parts[2]

        return major_minor, patch
